Bug 217045 - www/squid-devel: update to 4.0.18
Summary: www/squid-devel: update to 4.0.18
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: timp87
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-12 18:33 UTC by timp87
Modified: 2018-01-23 01:12 UTC (History)
2 users (show)

See Also:


Attachments
port patch (1020 bytes, patch)
2017-02-12 18:33 UTC, timp87
timp87: maintainer-approval+
Details | Diff
svn diff for www/squid-devel (8.59 KB, patch)
2017-02-12 21:36 UTC, Bernard Spil
brnrd: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description timp87 2017-02-12 18:33:17 UTC
Created attachment 179914 [details]
port patch

Update www/squid-devel 4.0.17 -> 4.0.18
Comment 1 Bernard Spil freebsd_committer 2017-02-12 21:36:46 UTC
Created attachment 179919 [details]
svn diff for www/squid-devel

www/squid-devel: Update to 4.0.18

  - Update to 4.0.18 [1]
  - Fix build with LibreSSL [2]

PR:  217045 [1]
Submitted by: timp87@gmail.com [1], brnrd [2]
Comment 2 timp87 2017-02-13 07:56:17 UTC
(In reply to Bernard Spil from comment #1)
Well, I can't set maintainer-approval for your patch. I don't know why. I doesn't allow me to do it.
Comment 3 Bernard Spil freebsd_committer 2017-02-13 09:29:51 UTC
(In reply to timp87 from comment #2)
Set you as assignee, does it work now? Otherwise, just state your approval in a comment and I'll commit it.
Comment 4 timp87 2017-02-13 09:50:16 UTC
Well, no luck.
Anyway I approve it
Comment 5 commit-hook freebsd_committer 2017-02-13 13:59:35 UTC
A commit references this bug:

Author: brnrd
Date: Mon Feb 13 13:58:56 UTC 2017
New revision: 433992
URL: https://svnweb.freebsd.org/changeset/ports/433992

Log:
  www/squid-devel: Update to 4.0.18

   - Update to version 4.0.18
   - Fix build with LibreSSL

  PR:		217045
  Approved by:	timp87@gmail.com (maintainer)

Changes:
  head/www/squid-devel/Makefile
  head/www/squid-devel/distinfo
  head/www/squid-devel/files/patch-src_ssl_bio.cc
  head/www/squid-devel/files/patch-src_ssl_bio.h
  head/www/squid-devel/files/patch-src_ssl_gadgets.cc
  head/www/squid-devel/files/patch-src_ssl_support.cc
Comment 6 timp87 2017-04-09 06:38:00 UTC
Please, close this one in favor of https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=218505
Comment 7 w.schwarzenfeld freebsd_triage 2018-01-23 01:12:01 UTC
Makefile shows version 4.0.22. It is done, so I close here.